%define pname     avards
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.1.4
Release:        1
Summary:        Plugin avards for vdr
Group:          Multimedia/VDR
License:        GPL
URL:            http://www.vdr-portal.de
Source0:        vdr-avards-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
Avards is a plugin to enlarge a widescreen film on the display if it is sent
in a 4:3 letterbox format. This is accomplished by changing the WSS signal
sent to the display.

%prep
%setup -q -n %{pname}-%{version}

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so
#make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr all

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,%{vdr_user},root,-)
%_libdir

%changelog
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.4-1
- Version update
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.3-2
- rebuild, VDR 1.5.18
* Mon Jan 28 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.3-1
- Version update to 0.1.3-beta1
* Mon Jan 21 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.2-1
- Initial release